## ECategoriesSelector ECategoriesSelector |

## Functions

GtkWidget * | e_categories_selector_new ()
gchar * | e_categories_selector_get_checked ()
void | e_categories_selector_set_checked ()
gboolean | e_categories_selector_get_items_checkable ()
void | e_categories_selector_set_items_checkable ()
void | e_categories_selector_delete_selection ()
gchar * | e_categories_selector_get_selected ()

## Types and Values

struct | ECategoriesSelector

## Description

## Functions

### e_categories_selector_new ()

    GtkWidget *
    e_categories_selector_new (void);

`e_categories_selector_new` is deprecated and should not be used in newly-written code.

Since: 3.2

### e_categories_selector_get_checked ()

    gchar *
    e_categories_selector_get_checked (ECategoriesSelector *selector);

`e_categories_selector_get_checked` is deprecated and should not be used in newly-written code.

Free returned pointer with `g_free()`.

Since: 3.2

### e_categories_selector_set_checked ()

    void
    e_categories_selector_set_checked (ECategoriesSelector *selector,
                                       const gchar *categories);

`e_categories_selector_set_checked` is deprecated and should not be used in newly-written code.

Since: 3.2

### e_categories_selector_get_items_checkable ()

    gboolean
    e_categories_selector_get_items_checkable
                                   (ECategoriesSelector *selector);

`e_categories_selector_get_items_checkable` is deprecated and should not be used in newly-written code.

Since: 3.2

### e_categories_selector_set_items_checkable ()

    void
    e_categories_selector_set_items_checkable
                                   (ECategoriesSelector *selectr,
                                    gboolean checkable);

`e_categories_selector_set_items_checkable` is deprecated and should not be used in newly-written code.

Since: 3.2

### e_categories_selector_delete_selection ()

    void
    e_categories_selector_delete_selection
                                   (ECategoriesSelector *selector);

`e_categories_selector_delete_selection` is deprecated and should not be used in newly-written code.

Since: 3.2

### e_categories_selector_get_selected ()

    gchar *
    e_categories_selector_get_selected (ECategoriesSelector *selector);

`e_categories_selector_get_selected` is deprecated and should not be used in newly-written code.

Free returned pointer with `g_free()`.

Since: 3.2

## Types and Values

### struct ECategoriesSelector

    struct ECategoriesSelector {
    	GtkTreeView parent;
    	ECategoriesSelectorPrivate *priv;
    };

`ECategoriesSelector` is deprecated and should not be used in newly-written code.

Contains only private data that should be read and manipulated using the functions below.

Since: 3.2